osgWidget::FunctionCallback< T > Class Template Reference

`#include <EventInterface>`

Inheritance diagram for osgWidget::FunctionCallback< T >:

## Public Member Functions

| FunctionCallback (T *callback)
virtual bool | operator() (Event &ev)
Public Member Functions inherited from osgWidget::CallbackInterface
virtual | ~CallbackInterface ()
virtual const char * | className () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

T * | _callback
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Constructor & Destructor Documentation

## FunctionCallback()

template<typename T>

osgWidget::FunctionCallback< T >::FunctionCallback | ( | T * | callback | ) |

inline

References _callback.

## Member Function Documentation

## operator()()

template<typename T>

virtual bool osgWidget::FunctionCallback< T >::operator() | ( | Event & | ev | ) |

inline virtual

Implements osgWidget::CallbackInterface.

References _callback.

## Member Data Documentation

## _callback

template<typename T>

T* osgWidget::FunctionCallback< T >::_callback

protected

Referenced by FunctionCallback(), and operator()().

The documentation for this class was generated from the following file:

- EventInterface